# Uses of Interface
org.opensaml.xacml.profile.saml.XACMLPolicyQueryType

Packages that use XACMLPolicyQueryType
Package
Description
org.opensaml.xacml.profile.saml.impl
XMLObject implementation classes for XACML SAML profile.

## Uses of XACMLPolicyQueryType in org.opensaml.xacml.profile.saml.impl

Classes in org.opensaml.xacml.profile.saml.impl that implement XACMLPolicyQueryType
Modifier and Type
Class
Description
`class`
`XACMLPolicyQueryTypeImpl`
Concrete implementation of `XACMLPolicyQueryType`.
Methods in org.opensaml.xacml.profile.saml.impl that return XACMLPolicyQueryType
Modifier and Type
Method
Description
`XACMLPolicyQueryType`
XACMLPolicyQueryTypeImplBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`XACMLPolicyQueryType`
XACMLPolicyQueryTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.